package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.dto.WorkerInfoDto;
import com.zhgd.xmgl.modules.basicdata.entity.WorkerInfo;
import com.zhgd.xmgl.modules.basicdata.statistics.WorkerInfoStat;

import java.util.List;
import java.util.Map;

/**
 * @Description: 人员
 * @author： pengj
 * @date：   2023-03-13
 * @version： V1.0
 */
public interface IWorkerInfoService extends IService<WorkerInfo> {

    Page<WorkerInfoDto> getDetailPageList(Page page, Wrapper<WorkerInfo> wrapper);

    Page<WorkerInfo> getPageList(Page page, Wrapper<WorkerInfo> wrapper);

    boolean updateInServiceType(Integer type, List<String> ids);

    WorkerInfoStat statistics();

    Map<String, Object> getByType();

    Page<Map<String, Object>> attendanceStat(Page page, Map<String, Object> map);

    boolean saveInfo(WorkerInfo workerInfo);

    boolean updateInfo(WorkerInfo workerInfo);

    boolean delInfo(WorkerInfo workerInfo);
}
